<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8" />
		<style type="text/css">
			svg.railroad-diagram {
				background-color: hsl(30, 20%, 95%);
			}
			svg.railroad-diagram path {
				stroke-width: 3;
				stroke: black;
				fill: rgba(0, 0, 0, 0);
			}
			svg.railroad-diagram text {
				font: bold 14px monospace;
				text-anchor: middle;
			}
			svg.railroad-diagram text.label {
				text-anchor: start;
			}
			svg.railroad-diagram text.comment {
				font: italic 12px monospace;
			}
			svg.railroad-diagram rect {
				stroke-width: 3;
				stroke: black;
				fill: hsl(120, 100%, 90%);
			}
		</style>
	</head>
	<body>
		<h1><code>File</code></h1>
		<div>
			<svg class="railroad-diagram" width="233" height="62" viewBox="0 0 233 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M192 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M172 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M162 31h0"></path>
								<rect x="70" y="20" width="92" height="22"></rect>
								<text x="116" y="35">FileLines</text>
							</g>
							<path d="M162 31h10"></path>
						</g>
						<path d="M172 31h20"></path>
					</g>
					<path d="M 192 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>FileLines</code></h1>
		<div>
			<svg class="railroad-diagram" width="393" height="152" viewBox="0 0 393 152">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M352 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h84"></path>
							<path d="M248 31h84"></path>
							<path d="M144 31h10"></path>
							<g>
								<path d="M154 31h0"></path>
								<path d="M238 31h0"></path>
								<rect x="154" y="20" width="84" height="22"></rect>
								<text x="196" y="35">FileLine</text>
							</g>
							<path d="M238 31h10"></path>
						</g>
						<path d="M332 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M332 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M154 61h0"></path>
								<rect x="70" y="50" width="84" height="22"></rect>
								<text x="112" y="65">FileLine</text>
							</g>
							<path d="M154 61h10"></path>
							<path d="M164 61h10"></path>
							<g>
								<path d="M174 61h0"></path>
								<path d="M210 61h0"></path>
								<rect x="174" y="50" width="36" height="22" rx="10" ry="10"></rect>
								<text x="192" y="65">nl</text>
							</g>
							<path d="M210 61h10"></path>
							<path d="M220 61h10"></path>
							<g>
								<path d="M230 61h0"></path>
								<path d="M322 61h0"></path>
								<rect x="230" y="50" width="92" height="22"></rect>
								<text x="276" y="65">FileLines</text>
							</g>
							<path d="M322 61h10"></path>
						</g>
						<path d="M332 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v40a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 91h28"></path>
							<path d="M304 91h28"></path>
							<path d="M88 91h10"></path>
							<g>
								<path d="M98 91h0"></path>
								<path d="M126 91h0"></path>
								<rect x="98" y="80" width="28" height="22"></rect>
								<text x="112" y="95">&#95;</text>
							</g>
							<path d="M126 91h10"></path>
							<path d="M136 91h10"></path>
							<g>
								<path d="M146 91h0"></path>
								<path d="M182 91h0"></path>
								<rect x="146" y="80" width="36" height="22" rx="10" ry="10"></rect>
								<text x="164" y="95">nl</text>
							</g>
							<path d="M182 91h10"></path>
							<path d="M192 91h10"></path>
							<g>
								<path d="M202 91h0"></path>
								<path d="M294 91h0"></path>
								<rect x="202" y="80" width="92" height="22"></rect>
								<text x="248" y="95">FileLines</text>
							</g>
							<path d="M294 91h10"></path>
						</g>
						<path d="M332 91a10 10 0 0 0 10 -10v-40a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v70a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 121h112"></path>
							<path d="M220 121h112"></path>
							<path d="M172 121h10"></path>
							<g>
								<path d="M182 121h0"></path>
								<path d="M210 121h0"></path>
								<rect x="182" y="110" width="28" height="22"></rect>
								<text x="196" y="125">&#95;</text>
							</g>
							<path d="M210 121h10"></path>
						</g>
						<path d="M332 121a10 10 0 0 0 10 -10v-70a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 352 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>FileLine</code></h1>
		<div>
			<svg class="railroad-diagram" width="529" height="102" viewBox="0 0 529 102">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M488 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h0"></path>
							<path d="M468 41h0"></path>
							<path d="M60 41h10"></path>
							<g>
								<path d="M70 41h0"></path>
								<path d="M98 41h0"></path>
								<rect x="70" y="30" width="28" height="22"></rect>
								<text x="84" y="45">&#95;</text>
							</g>
							<path d="M98 41h10"></path>
							<path d="M108 41h10"></path>
							<g>
								<path d="M118 41h0"></path>
								<path d="M234 41h0"></path>
								<rect x="118" y="30" width="116" height="22"></rect>
								<text x="176" y="45">TopLevelStmt</text>
							</g>
							<path d="M234 41h10"></path>
							<path d="M244 41h10"></path>
							<g>
								<path d="M254 41h0"></path>
								<path d="M282 41h0"></path>
								<rect x="254" y="30" width="28" height="22"></rect>
								<text x="268" y="45">&#95;</text>
							</g>
							<path d="M282 41h10"></path>
							<g>
								<path d="M292 41h0"></path>
								<path d="M468 41h0"></path>
								<path d="M292 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M312 21h136"></path>
								</g>
								<path d="M448 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M292 41h20"></path>
								<g>
									<path d="M312 41h0"></path>
									<path d="M448 41h0"></path>
									<path d="M312 41h20"></path>
									<g>
										<path d="M332 41h0"></path>
										<path d="M428 41h0"></path>
										<path d="M332 41h10"></path>
										<g>
											<path d="M342 41h0"></path>
											<path d="M418 41h0"></path>
											<rect x="342" y="30" width="76" height="22"></rect>
											<text x="380" y="45">Comment</text>
										</g>
										<path d="M418 41h10"></path>
									</g>
									<path d="M428 41h20"></path>
								</g>
								<path d="M448 41h20"></path>
							</g>
						</g>
						<path d="M468 41h20"></path>
						<path d="M40 41a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 71h132"></path>
							<path d="M336 71h132"></path>
							<path d="M192 71h10"></path>
							<g>
								<path d="M202 71h0"></path>
								<path d="M230 71h0"></path>
								<rect x="202" y="60" width="28" height="22"></rect>
								<text x="216" y="75">&#95;</text>
							</g>
							<path d="M230 71h10"></path>
							<path d="M240 71h10"></path>
							<g>
								<path d="M250 71h0"></path>
								<path d="M326 71h0"></path>
								<rect x="250" y="60" width="76" height="22"></rect>
								<text x="288" y="75">Comment</text>
							</g>
							<path d="M326 71h10"></path>
						</g>
						<path d="M468 71a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 488 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>TopLevelStmt</code></h1>
		<div>
			<svg class="railroad-diagram" width="249" height="92" viewBox="0 0 249 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M208 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M188 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M178 31h0"></path>
								<rect x="70" y="20" width="108" height="22"></rect>
								<text x="124" y="35">IncludeStmt</text>
							</g>
							<path d="M178 31h10"></path>
						</g>
						<path d="M188 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h24"></path>
							<path d="M164 61h24"></path>
							<path d="M84 61h10"></path>
							<g>
								<path d="M94 61h0"></path>
								<path d="M154 61h0"></path>
								<rect x="94" y="50" width="60" height="22"></rect>
								<text x="124" y="65">Block</text>
							</g>
							<path d="M154 61h10"></path>
						</g>
						<path d="M188 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 208 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>IncludeStmt</code></h1>
		<div>
			<svg class="railroad-diagram" width="385" height="62" viewBox="0 0 385 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M344 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M324 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M170 31h0"></path>
								<rect x="70" y="20" width="100" height="22" rx="10" ry="10"></rect>
								<text x="120" y="35">kw&#95;include</text>
							</g>
							<path d="M170 31h10"></path>
							<path d="M180 31h10"></path>
							<g>
								<path d="M190 31h0"></path>
								<path d="M226 31h0"></path>
								<rect x="190" y="20" width="36" height="22"></rect>
								<text x="208" y="35">&#95;&#95;</text>
							</g>
							<path d="M226 31h10"></path>
							<path d="M236 31h10"></path>
							<g>
								<path d="M246 31h0"></path>
								<path d="M314 31h0"></path>
								<rect x="246" y="20" width="68" height="22"></rect>
								<text x="280" y="35">String</text>
							</g>
							<path d="M314 31h10"></path>
						</g>
						<path d="M324 31h20"></path>
					</g>
					<path d="M 344 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>BlockType</code></h1>
		<div>
			<svg class="railroad-diagram" width="281" height="302" viewBox="0 0 281 302">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M240 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M220 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M210 31h0"></path>
								<rect x="70" y="20" width="140" height="22" rx="10" ry="10"></rect>
								<text x="140" y="35">"adddefaultmap"</text>
							</g>
							<path d="M210 31h10"></path>
						</g>
						<path d="M220 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h24"></path>
							<path d="M196 61h24"></path>
							<path d="M84 61h10"></path>
							<g>
								<path d="M94 61h0"></path>
								<path d="M186 61h0"></path>
								<rect x="94" y="50" width="92" height="22" rx="10" ry="10"></rect>
								<text x="140" y="65">"automap"</text>
							</g>
							<path d="M186 61h10"></path>
						</g>
						<path d="M220 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v40a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 91h24"></path>
							<path d="M196 91h24"></path>
							<path d="M84 91h10"></path>
							<g>
								<path d="M94 91h0"></path>
								<path d="M186 91h0"></path>
								<rect x="94" y="80" width="92" height="22" rx="10" ry="10"></rect>
								<text x="140" y="95">"cluster"</text>
							</g>
							<path d="M186 91h10"></path>
						</g>
						<path d="M220 91a10 10 0 0 0 10 -10v-40a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v70a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 121h12"></path>
							<path d="M208 121h12"></path>
							<path d="M72 121h10"></path>
							<g>
								<path d="M82 121h0"></path>
								<path d="M198 121h0"></path>
								<rect x="82" y="110" width="116" height="22" rx="10" ry="10"></rect>
								<text x="140" y="125">"defaultmap"</text>
							</g>
							<path d="M198 121h10"></path>
						</g>
						<path d="M220 121a10 10 0 0 0 10 -10v-70a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v100a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 151h24"></path>
							<path d="M196 151h24"></path>
							<path d="M84 151h10"></path>
							<g>
								<path d="M94 151h0"></path>
								<path d="M186 151h0"></path>
								<rect x="94" y="140" width="92" height="22" rx="10" ry="10"></rect>
								<text x="140" y="155">"episode"</text>
							</g>
							<path d="M186 151h10"></path>
						</g>
						<path d="M220 151a10 10 0 0 0 10 -10v-100a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v130a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 181h20"></path>
							<path d="M200 181h20"></path>
							<path d="M80 181h10"></path>
							<g>
								<path d="M90 181h0"></path>
								<path d="M190 181h0"></path>
								<rect x="90" y="170" width="100" height="22" rx="10" ry="10"></rect>
								<text x="140" y="185">"gameinfo"</text>
							</g>
							<path d="M190 181h10"></path>
						</g>
						<path d="M220 181a10 10 0 0 0 10 -10v-130a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v160a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 211h4"></path>
							<path d="M216 211h4"></path>
							<path d="M64 211h10"></path>
							<g>
								<path d="M74 211h0"></path>
								<path d="M206 211h0"></path>
								<rect x="74" y="200" width="132" height="22" rx="10" ry="10"></rect>
								<text x="140" y="215">"intermission"</text>
							</g>
							<path d="M206 211h10"></path>
						</g>
						<path d="M220 211a10 10 0 0 0 10 -10v-160a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v190a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 241h40"></path>
							<path d="M180 241h40"></path>
							<path d="M100 241h10"></path>
							<g>
								<path d="M110 241h0"></path>
								<path d="M170 241h0"></path>
								<rect x="110" y="230" width="60" height="22" rx="10" ry="10"></rect>
								<text x="140" y="245">"map"</text>
							</g>
							<path d="M170 241h10"></path>
						</g>
						<path d="M220 241a10 10 0 0 0 10 -10v-190a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v220a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 271h32"></path>
							<path d="M188 271h32"></path>
							<path d="M92 271h10"></path>
							<g>
								<path d="M102 271h0"></path>
								<path d="M178 271h0"></path>
								<rect x="102" y="260" width="76" height="22" rx="10" ry="10"></rect>
								<text x="140" y="275">"skill"</text>
							</g>
							<path d="M178 271h10"></path>
						</g>
						<path d="M220 271a10 10 0 0 0 10 -10v-220a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 240 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>BlockHeader</code></h1>
		<div>
			<svg class="railroad-diagram" width="681" height="212" viewBox="0 0 681 212">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M640 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h224"></path>
							<path d="M396 31h224"></path>
							<path d="M284 31h10"></path>
							<g>
								<path d="M294 31h0"></path>
								<path d="M386 31h0"></path>
								<rect x="294" y="20" width="92" height="22"></rect>
								<text x="340" y="35">BlockType</text>
							</g>
							<path d="M386 31h10"></path>
						</g>
						<path d="M620 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h152"></path>
							<path d="M468 61h152"></path>
							<path d="M212 61h10"></path>
							<g>
								<path d="M222 61h0"></path>
								<path d="M314 61h0"></path>
								<rect x="222" y="50" width="92" height="22"></rect>
								<text x="268" y="65">BlockType</text>
							</g>
							<path d="M314 61h10"></path>
							<path d="M324 61h10"></path>
							<g>
								<path d="M334 61h0"></path>
								<path d="M370 61h0"></path>
								<rect x="334" y="50" width="36" height="22"></rect>
								<text x="352" y="65">&#95;&#95;</text>
							</g>
							<path d="M370 61h10"></path>
							<path d="M380 61h10"></path>
							<g>
								<path d="M390 61h0"></path>
								<path d="M458 61h0"></path>
								<rect x="390" y="50" width="68" height="22"></rect>
								<text x="424" y="65">String</text>
							</g>
							<path d="M458 61h10"></path>
						</g>
						<path d="M620 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v40a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 91h80"></path>
							<path d="M540 91h80"></path>
							<path d="M140 91h10"></path>
							<g>
								<path d="M150 91h0"></path>
								<path d="M242 91h0"></path>
								<rect x="150" y="80" width="92" height="22"></rect>
								<text x="196" y="95">BlockType</text>
							</g>
							<path d="M242 91h10"></path>
							<path d="M252 91h10"></path>
							<g>
								<path d="M262 91h0"></path>
								<path d="M298 91h0"></path>
								<rect x="262" y="80" width="36" height="22"></rect>
								<text x="280" y="95">&#95;&#95;</text>
							</g>
							<path d="M298 91h10"></path>
							<path d="M308 91h10"></path>
							<g>
								<path d="M318 91h0"></path>
								<path d="M386 91h0"></path>
								<rect x="318" y="80" width="68" height="22"></rect>
								<text x="352" y="95">String</text>
							</g>
							<path d="M386 91h10"></path>
							<path d="M396 91h10"></path>
							<g>
								<path d="M406 91h0"></path>
								<path d="M442 91h0"></path>
								<rect x="406" y="80" width="36" height="22"></rect>
								<text x="424" y="95">&#95;&#95;</text>
							</g>
							<path d="M442 91h10"></path>
							<path d="M452 91h10"></path>
							<g>
								<path d="M462 91h0"></path>
								<path d="M530 91h0"></path>
								<rect x="462" y="80" width="68" height="22"></rect>
								<text x="496" y="95">String</text>
							</g>
							<path d="M530 91h10"></path>
						</g>
						<path d="M620 91a10 10 0 0 0 10 -10v-40a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v70a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 121h0"></path>
							<path d="M620 121h0"></path>
							<path d="M60 121h10"></path>
							<g>
								<path d="M70 121h0"></path>
								<path d="M162 121h0"></path>
								<rect x="70" y="110" width="92" height="22"></rect>
								<text x="116" y="125">BlockType</text>
							</g>
							<path d="M162 121h10"></path>
							<path d="M172 121h10"></path>
							<g>
								<path d="M182 121h0"></path>
								<path d="M218 121h0"></path>
								<rect x="182" y="110" width="36" height="22"></rect>
								<text x="200" y="125">&#95;&#95;</text>
							</g>
							<path d="M218 121h10"></path>
							<path d="M228 121h10"></path>
							<g>
								<path d="M238 121h0"></path>
								<path d="M306 121h0"></path>
								<rect x="238" y="110" width="68" height="22"></rect>
								<text x="272" y="125">String</text>
							</g>
							<path d="M306 121h10"></path>
							<path d="M316 121h10"></path>
							<g>
								<path d="M326 121h0"></path>
								<path d="M362 121h0"></path>
								<rect x="326" y="110" width="36" height="22"></rect>
								<text x="344" y="125">&#95;&#95;</text>
							</g>
							<path d="M362 121h10"></path>
							<path d="M372 121h10"></path>
							<g>
								<path d="M382 121h0"></path>
								<path d="M466 121h0"></path>
								<rect x="382" y="110" width="84" height="22" rx="10" ry="10"></rect>
								<text x="424" y="125">"lookup"</text>
							</g>
							<path d="M466 121h10"></path>
							<path d="M476 121h10"></path>
							<g>
								<path d="M486 121h0"></path>
								<path d="M522 121h0"></path>
								<rect x="486" y="110" width="36" height="22"></rect>
								<text x="504" y="125">&#95;&#95;</text>
							</g>
							<path d="M522 121h10"></path>
							<path d="M532 121h10"></path>
							<g>
								<path d="M542 121h0"></path>
								<path d="M610 121h0"></path>
								<rect x="542" y="110" width="68" height="22"></rect>
								<text x="576" y="125">String</text>
							</g>
							<path d="M610 121h10"></path>
						</g>
						<path d="M620 121a10 10 0 0 0 10 -10v-70a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v100a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 151h136"></path>
							<path d="M484 151h136"></path>
							<path d="M196 151h10"></path>
							<g>
								<path d="M206 151h0"></path>
								<path d="M298 151h0"></path>
								<rect x="206" y="140" width="92" height="22"></rect>
								<text x="252" y="155">BlockType</text>
							</g>
							<path d="M298 151h10"></path>
							<path d="M308 151h10"></path>
							<g>
								<path d="M318 151h0"></path>
								<path d="M354 151h0"></path>
								<rect x="318" y="140" width="36" height="22"></rect>
								<text x="336" y="155">&#95;&#95;</text>
							</g>
							<path d="M354 151h10"></path>
							<path d="M364 151h10"></path>
							<g>
								<path d="M374 151h0"></path>
								<path d="M474 151h0"></path>
								<rect x="374" y="140" width="100" height="22"></rect>
								<text x="424" y="155">Identifier</text>
							</g>
							<path d="M474 151h10"></path>
						</g>
						<path d="M620 151a10 10 0 0 0 10 -10v-100a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v130a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 181h152"></path>
							<path d="M468 181h152"></path>
							<path d="M212 181h10"></path>
							<g>
								<path d="M222 181h0"></path>
								<path d="M314 181h0"></path>
								<rect x="222" y="170" width="92" height="22"></rect>
								<text x="268" y="185">BlockType</text>
							</g>
							<path d="M314 181h10"></path>
							<path d="M324 181h10"></path>
							<g>
								<path d="M334 181h0"></path>
								<path d="M370 181h0"></path>
								<rect x="334" y="170" width="36" height="22"></rect>
								<text x="352" y="185">&#95;&#95;</text>
							</g>
							<path d="M370 181h10"></path>
							<path d="M380 181h10"></path>
							<g>
								<path d="M390 181h0"></path>
								<path d="M458 181h0"></path>
								<rect x="390" y="170" width="68" height="22"></rect>
								<text x="424" y="185">Number</text>
							</g>
							<path d="M458 181h10"></path>
						</g>
						<path d="M620 181a10 10 0 0 0 10 -10v-130a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 640 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Block</code></h1>
		<div>
			<svg class="railroad-diagram" width="553" height="62" viewBox="0 0 553 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M512 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M492 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M178 31h0"></path>
								<rect x="70" y="20" width="108" height="22"></rect>
								<text x="124" y="35">BlockHeader</text>
							</g>
							<path d="M178 31h10"></path>
							<path d="M188 31h10"></path>
							<g>
								<path d="M198 31h0"></path>
								<path d="M242 31h0"></path>
								<rect x="198" y="20" width="44" height="22"></rect>
								<text x="220" y="35">&#95;&#95;n</text>
							</g>
							<path d="M242 31h10"></path>
							<path d="M252 31h10"></path>
							<g>
								<path d="M262 31h0"></path>
								<path d="M306 31h0"></path>
								<rect x="262" y="20" width="44" height="22" rx="10" ry="10"></rect>
								<text x="284" y="35">"{"</text>
							</g>
							<path d="M306 31h10"></path>
							<path d="M316 31h10"></path>
							<g>
								<path d="M326 31h0"></path>
								<path d="M418 31h0"></path>
								<rect x="326" y="20" width="92" height="22"></rect>
								<text x="372" y="35">BlockBody</text>
							</g>
							<path d="M418 31h10"></path>
							<path d="M428 31h10"></path>
							<g>
								<path d="M438 31h0"></path>
								<path d="M482 31h0"></path>
								<rect x="438" y="20" width="44" height="22" rx="10" ry="10"></rect>
								<text x="460" y="35">"}"</text>
							</g>
							<path d="M482 31h10"></path>
						</g>
						<path d="M492 31h20"></path>
					</g>
					<path d="M 512 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>BlockBody</code></h1>
		<div>
			<svg class="railroad-diagram" width="401" height="152" viewBox="0 0 401 152">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M360 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h84"></path>
							<path d="M256 31h84"></path>
							<path d="M144 31h10"></path>
							<g>
								<path d="M154 31h0"></path>
								<path d="M246 31h0"></path>
								<rect x="154" y="20" width="92" height="22"></rect>
								<text x="200" y="35">BlockLine</text>
							</g>
							<path d="M246 31h10"></path>
						</g>
						<path d="M340 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M340 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M162 61h0"></path>
								<rect x="70" y="50" width="92" height="22"></rect>
								<text x="116" y="65">BlockLine</text>
							</g>
							<path d="M162 61h10"></path>
							<path d="M172 61h10"></path>
							<g>
								<path d="M182 61h0"></path>
								<path d="M218 61h0"></path>
								<rect x="182" y="50" width="36" height="22" rx="10" ry="10"></rect>
								<text x="200" y="65">nl</text>
							</g>
							<path d="M218 61h10"></path>
							<path d="M228 61h10"></path>
							<g>
								<path d="M238 61h0"></path>
								<path d="M330 61h0"></path>
								<rect x="238" y="50" width="92" height="22"></rect>
								<text x="284" y="65">BlockBody</text>
							</g>
							<path d="M330 61h10"></path>
						</g>
						<path d="M340 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v40a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 91h32"></path>
							<path d="M308 91h32"></path>
							<path d="M92 91h10"></path>
							<g>
								<path d="M102 91h0"></path>
								<path d="M130 91h0"></path>
								<rect x="102" y="80" width="28" height="22"></rect>
								<text x="116" y="95">&#95;</text>
							</g>
							<path d="M130 91h10"></path>
							<path d="M140 91h10"></path>
							<g>
								<path d="M150 91h0"></path>
								<path d="M186 91h0"></path>
								<rect x="150" y="80" width="36" height="22" rx="10" ry="10"></rect>
								<text x="168" y="95">nl</text>
							</g>
							<path d="M186 91h10"></path>
							<path d="M196 91h10"></path>
							<g>
								<path d="M206 91h0"></path>
								<path d="M298 91h0"></path>
								<rect x="206" y="80" width="92" height="22"></rect>
								<text x="252" y="95">BlockBody</text>
							</g>
							<path d="M298 91h10"></path>
						</g>
						<path d="M340 91a10 10 0 0 0 10 -10v-40a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v70a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 121h116"></path>
							<path d="M224 121h116"></path>
							<path d="M176 121h10"></path>
							<g>
								<path d="M186 121h0"></path>
								<path d="M214 121h0"></path>
								<rect x="186" y="110" width="28" height="22"></rect>
								<text x="200" y="125">&#95;</text>
							</g>
							<path d="M214 121h10"></path>
						</g>
						<path d="M340 121a10 10 0 0 0 10 -10v-70a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 360 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>BlockLine</code></h1>
		<div>
			<svg class="railroad-diagram" width="505" height="142" viewBox="0 0 505 142">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M464 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h16"></path>
							<path d="M428 41h16"></path>
							<path d="M76 41h10"></path>
							<g>
								<path d="M86 41h0"></path>
								<path d="M114 41h0"></path>
								<rect x="86" y="30" width="28" height="22"></rect>
								<text x="100" y="45">&#95;</text>
							</g>
							<path d="M114 41h10"></path>
							<path d="M124 41h10"></path>
							<g>
								<path d="M134 41h0"></path>
								<path d="M194 41h0"></path>
								<rect x="134" y="30" width="60" height="22"></rect>
								<text x="164" y="45">Block</text>
							</g>
							<path d="M194 41h10"></path>
							<path d="M204 41h10"></path>
							<g>
								<path d="M214 41h0"></path>
								<path d="M242 41h0"></path>
								<rect x="214" y="30" width="28" height="22"></rect>
								<text x="228" y="45">&#95;</text>
							</g>
							<path d="M242 41h10"></path>
							<g>
								<path d="M252 41h0"></path>
								<path d="M428 41h0"></path>
								<path d="M252 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M272 21h136"></path>
								</g>
								<path d="M408 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M252 41h20"></path>
								<g>
									<path d="M272 41h0"></path>
									<path d="M408 41h0"></path>
									<path d="M272 41h20"></path>
									<g>
										<path d="M292 41h0"></path>
										<path d="M388 41h0"></path>
										<path d="M292 41h10"></path>
										<g>
											<path d="M302 41h0"></path>
											<path d="M378 41h0"></path>
											<rect x="302" y="30" width="76" height="22"></rect>
											<text x="340" y="45">Comment</text>
										</g>
										<path d="M378 41h10"></path>
									</g>
									<path d="M388 41h20"></path>
								</g>
								<path d="M408 41h20"></path>
							</g>
						</g>
						<path d="M444 41h20"></path>
						<path d="M40 41a10 10 0 0 1 10 10v20a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 81h0"></path>
							<path d="M444 81h0"></path>
							<path d="M60 81h10"></path>
							<g>
								<path d="M70 81h0"></path>
								<path d="M98 81h0"></path>
								<rect x="70" y="70" width="28" height="22"></rect>
								<text x="84" y="85">&#95;</text>
							</g>
							<path d="M98 81h10"></path>
							<path d="M108 81h10"></path>
							<g>
								<path d="M118 81h0"></path>
								<path d="M210 81h0"></path>
								<rect x="118" y="70" width="92" height="22"></rect>
								<text x="164" y="85">BlockStmt</text>
							</g>
							<path d="M210 81h10"></path>
							<path d="M220 81h10"></path>
							<g>
								<path d="M230 81h0"></path>
								<path d="M258 81h0"></path>
								<rect x="230" y="70" width="28" height="22"></rect>
								<text x="244" y="85">&#95;</text>
							</g>
							<path d="M258 81h10"></path>
							<g>
								<path d="M268 81h0"></path>
								<path d="M444 81h0"></path>
								<path d="M268 81a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M288 61h136"></path>
								</g>
								<path d="M424 61a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M268 81h20"></path>
								<g>
									<path d="M288 81h0"></path>
									<path d="M424 81h0"></path>
									<path d="M288 81h20"></path>
									<g>
										<path d="M308 81h0"></path>
										<path d="M404 81h0"></path>
										<path d="M308 81h10"></path>
										<g>
											<path d="M318 81h0"></path>
											<path d="M394 81h0"></path>
											<rect x="318" y="70" width="76" height="22"></rect>
											<text x="356" y="85">Comment</text>
										</g>
										<path d="M394 81h10"></path>
									</g>
									<path d="M404 81h20"></path>
								</g>
								<path d="M424 81h20"></path>
							</g>
						</g>
						<path d="M444 81a10 10 0 0 0 10 -10v-20a10 10 0 0 1 10 -10"></path>
						<path d="M40 41a10 10 0 0 1 10 10v50a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 111h120"></path>
							<path d="M324 111h120"></path>
							<path d="M180 111h10"></path>
							<g>
								<path d="M190 111h0"></path>
								<path d="M218 111h0"></path>
								<rect x="190" y="100" width="28" height="22"></rect>
								<text x="204" y="115">&#95;</text>
							</g>
							<path d="M218 111h10"></path>
							<path d="M228 111h10"></path>
							<g>
								<path d="M238 111h0"></path>
								<path d="M314 111h0"></path>
								<rect x="238" y="100" width="76" height="22"></rect>
								<text x="276" y="115">Comment</text>
							</g>
							<path d="M314 111h10"></path>
						</g>
						<path d="M444 111a10 10 0 0 0 10 -10v-50a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 464 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>BlockStmt</code></h1>
		<div>
			<svg class="railroad-diagram" width="241" height="92" viewBox="0 0 241 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M200 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M180 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M170 31h0"></path>
								<rect x="70" y="20" width="100" height="22"></rect>
								<text x="120" y="35">Assignment</text>
							</g>
							<path d="M170 31h10"></path>
						</g>
						<path d="M180 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M180 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M170 61h0"></path>
								<rect x="70" y="50" width="100" height="22"></rect>
								<text x="120" y="65">Identifier</text>
							</g>
							<path d="M170 61h10"></path>
						</g>
						<path d="M180 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 200 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Assignment</code></h1>
		<div>
			<svg class="railroad-diagram" width="705" height="72" viewBox="0 0 705 72">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M664 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h0"></path>
							<path d="M644 41h0"></path>
							<path d="M60 41h10"></path>
							<g>
								<path d="M70 41h0"></path>
								<path d="M170 41h0"></path>
								<rect x="70" y="30" width="100" height="22"></rect>
								<text x="120" y="45">Identifier</text>
							</g>
							<path d="M170 41h10"></path>
							<path d="M180 41h10"></path>
							<g>
								<path d="M190 41h0"></path>
								<path d="M218 41h0"></path>
								<rect x="190" y="30" width="28" height="22"></rect>
								<text x="204" y="45">&#95;</text>
							</g>
							<path d="M218 41h10"></path>
							<path d="M228 41h10"></path>
							<g>
								<path d="M238 41h0"></path>
								<path d="M282 41h0"></path>
								<rect x="238" y="30" width="44" height="22" rx="10" ry="10"></rect>
								<text x="260" y="45">"="</text>
							</g>
							<path d="M282 41h10"></path>
							<path d="M292 41h10"></path>
							<g>
								<path d="M302 41h0"></path>
								<path d="M330 41h0"></path>
								<rect x="302" y="30" width="28" height="22"></rect>
								<text x="316" y="45">&#95;</text>
							</g>
							<path d="M330 41h10"></path>
							<path d="M340 41h10"></path>
							<g>
								<path d="M350 41h0"></path>
								<path d="M442 41h0"></path>
								<rect x="350" y="30" width="92" height="22"></rect>
								<text x="396" y="45">ValueExpr</text>
							</g>
							<path d="M442 41h10"></path>
							<g>
								<path d="M452 41h0"></path>
								<path d="M644 41h0"></path>
								<path d="M452 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M472 21h152"></path>
								</g>
								<path d="M624 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M452 41h20"></path>
								<g>
									<path d="M472 41h0"></path>
									<path d="M624 41h0"></path>
									<path d="M472 41h20"></path>
									<g>
										<path d="M492 41h0"></path>
										<path d="M604 41h0"></path>
										<path d="M492 41h10"></path>
										<g>
											<path d="M502 41h0"></path>
											<path d="M530 41h0"></path>
											<rect x="502" y="30" width="28" height="22"></rect>
											<text x="516" y="45">&#95;</text>
										</g>
										<path d="M530 41h10"></path>
										<path d="M540 41h10"></path>
										<g>
											<path d="M550 41h0"></path>
											<path d="M594 41h0"></path>
											<rect x="550" y="30" width="44" height="22" rx="10" ry="10"></rect>
											<text x="572" y="45">";"</text>
										</g>
										<path d="M594 41h10"></path>
									</g>
									<path d="M604 41h20"></path>
								</g>
								<path d="M624 41h20"></path>
							</g>
						</g>
						<path d="M644 41h20"></path>
					</g>
					<path d="M 664 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Comment</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="62" viewBox="0 0 217 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M176 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M156 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M146 31h0"></path>
								<rect x="70" y="20" width="76" height="22" rx="10" ry="10"></rect>
								<text x="108" y="35">comment</text>
							</g>
							<path d="M146 31h10"></path>
						</g>
						<path d="M156 31h20"></path>
					</g>
					<path d="M 176 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Identifier</code></h1>
		<div>
			<svg class="railroad-diagram" width="241" height="62" viewBox="0 0 241 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M200 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M180 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M170 31h0"></path>
								<rect x="70" y="20" width="100" height="22" rx="10" ry="10"></rect>
								<text x="120" y="35">identifier</text>
							</g>
							<path d="M170 31h10"></path>
						</g>
						<path d="M180 31h20"></path>
					</g>
					<path d="M 200 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>ValueExpr</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="92" viewBox="0 0 217 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M176 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h8"></path>
							<path d="M148 31h8"></path>
							<path d="M68 31h10"></path>
							<g>
								<path d="M78 31h0"></path>
								<path d="M138 31h0"></path>
								<rect x="78" y="20" width="60" height="22"></rect>
								<text x="108" y="35">Array</text>
							</g>
							<path d="M138 31h10"></path>
						</g>
						<path d="M156 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M156 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M146 61h0"></path>
								<rect x="70" y="50" width="76" height="22"></rect>
								<text x="108" y="65">Literal</text>
							</g>
							<path d="M146 61h10"></path>
						</g>
						<path d="M156 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 176 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Array</code></h1>
		<div>
			<svg class="railroad-diagram" width="601" height="71" viewBox="0 0 601 71">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M560 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M540 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M170 31h0"></path>
								<rect x="70" y="20" width="100" height="22"></rect>
								<text x="120" y="35">Expression</text>
							</g>
							<path d="M170 31h10"></path>
							<path d="M180 31h10"></path>
							<g>
								<path d="M190 31h0"></path>
								<path d="M530 31h0"></path>
								<path d="M190 31h10"></path>
								<g>
									<path d="M200 31h0"></path>
									<path d="M520 31h0"></path>
									<path d="M200 31h20"></path>
									<g>
										<path d="M220 31h0"></path>
										<path d="M500 31h0"></path>
										<path d="M220 31h10"></path>
										<g>
											<path d="M230 31h0"></path>
											<path d="M258 31h0"></path>
											<rect x="230" y="20" width="28" height="22"></rect>
											<text x="244" y="35">&#95;</text>
										</g>
										<path d="M258 31h10"></path>
										<path d="M268 31h10"></path>
										<g>
											<path d="M278 31h0"></path>
											<path d="M322 31h0"></path>
											<rect x="278" y="20" width="44" height="22" rx="10" ry="10"></rect>
											<text x="300" y="35">","</text>
										</g>
										<path d="M322 31h10"></path>
										<path d="M332 31h10"></path>
										<g>
											<path d="M342 31h0"></path>
											<path d="M370 31h0"></path>
											<rect x="342" y="20" width="28" height="22"></rect>
											<text x="356" y="35">&#95;</text>
										</g>
										<path d="M370 31h10"></path>
										<path d="M380 31h10"></path>
										<g>
											<path d="M390 31h0"></path>
											<path d="M490 31h0"></path>
											<rect x="390" y="20" width="100" height="22"></rect>
											<text x="440" y="35">Expression</text>
										</g>
										<path d="M490 31h10"></path>
									</g>
									<path d="M500 31h20"></path>
								</g>
								<path d="M520 31h10"></path>
								<path d="M200 31a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
								<g>
									<path d="M200 51h320"></path>
								</g>
								<path d="M520 51a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
							</g>
							<path d="M530 31h10"></path>
						</g>
						<path d="M540 31h20"></path>
					</g>
					<path d="M 560 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Expression</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="62" viewBox="0 0 217 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M176 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M156 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M146 31h0"></path>
								<rect x="70" y="20" width="76" height="22"></rect>
								<text x="108" y="35">Literal</text>
							</g>
							<path d="M146 31h10"></path>
						</g>
						<path d="M156 31h20"></path>
					</g>
					<path d="M 176 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Literal</code></h1>
		<div>
			<svg class="railroad-diagram" width="241" height="152" viewBox="0 0 241 152">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M200 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M180 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M170 31h0"></path>
								<rect x="70" y="20" width="100" height="22"></rect>
								<text x="120" y="35">Identifier</text>
							</g>
							<path d="M170 31h10"></path>
						</g>
						<path d="M180 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h16"></path>
							<path d="M164 61h16"></path>
							<path d="M76 61h10"></path>
							<g>
								<path d="M86 61h0"></path>
								<path d="M154 61h0"></path>
								<rect x="86" y="50" width="68" height="22"></rect>
								<text x="120" y="65">Number</text>
							</g>
							<path d="M154 61h10"></path>
						</g>
						<path d="M180 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v40a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 91h16"></path>
							<path d="M164 91h16"></path>
							<path d="M76 91h10"></path>
							<g>
								<path d="M86 91h0"></path>
								<path d="M154 91h0"></path>
								<rect x="86" y="80" width="68" height="22"></rect>
								<text x="120" y="95">String</text>
							</g>
							<path d="M154 91h10"></path>
						</g>
						<path d="M180 91a10 10 0 0 0 10 -10v-40a10 10 0 0 1 10 -10"></path>
						<path d="M40 31a10 10 0 0 1 10 10v70a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 121h12"></path>
							<path d="M168 121h12"></path>
							<path d="M72 121h10"></path>
							<g>
								<path d="M82 121h0"></path>
								<path d="M158 121h0"></path>
								<rect x="82" y="110" width="76" height="22"></rect>
								<text x="120" y="125">Boolean</text>
							</g>
							<path d="M158 121h10"></path>
						</g>
						<path d="M180 121a10 10 0 0 0 10 -10v-70a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 200 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Boolean</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="62" viewBox="0 0 217 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M176 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M156 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M146 31h0"></path>
								<rect x="70" y="20" width="76" height="22" rx="10" ry="10"></rect>
								<text x="108" y="35">kw&#95;bool</text>
							</g>
							<path d="M146 31h10"></path>
						</g>
						<path d="M156 31h20"></path>
					</g>
					<path d="M 176 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>String</code></h1>
		<div>
			<svg class="railroad-diagram" width="209" height="62" viewBox="0 0 209 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M168 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M148 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M138 31h0"></path>
								<rect x="70" y="20" width="68" height="22" rx="10" ry="10"></rect>
								<text x="104" y="35">string</text>
							</g>
							<path d="M138 31h10"></path>
						</g>
						<path d="M148 31h20"></path>
					</g>
					<path d="M 168 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>Number</code></h1>
		<div>
			<svg class="railroad-diagram" width="209" height="62" viewBox="0 0 209 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M168 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M148 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M138 31h0"></path>
								<rect x="70" y="20" width="68" height="22" rx="10" ry="10"></rect>
								<text x="104" y="35">number</text>
							</g>
							<path d="M138 31h10"></path>
						</g>
						<path d="M148 31h20"></path>
					</g>
					<path d="M 168 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>next_line</code></h1>
		<div>
			<svg class="railroad-diagram" width="273" height="62" viewBox="0 0 273 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M232 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M212 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M98 31h0"></path>
								<rect x="70" y="20" width="28" height="22"></rect>
								<text x="84" y="35">&#95;</text>
							</g>
							<path d="M98 31h10"></path>
							<path d="M108 31h10"></path>
							<g>
								<path d="M118 31h0"></path>
								<path d="M154 31h0"></path>
								<rect x="118" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="136" y="35">nl</text>
							</g>
							<path d="M154 31h10"></path>
							<path d="M164 31h10"></path>
							<g>
								<path d="M174 31h0"></path>
								<path d="M202 31h0"></path>
								<rect x="174" y="20" width="28" height="22"></rect>
								<text x="188" y="35">&#95;</text>
							</g>
							<path d="M202 31h10"></path>
						</g>
						<path d="M212 31h20"></path>
					</g>
					<path d="M 232 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>next_present_line</code></h1>
		<div>
			<svg class="railroad-diagram" width="281" height="62" viewBox="0 0 281 62">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M240 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M220 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M98 31h0"></path>
								<rect x="70" y="20" width="28" height="22"></rect>
								<text x="84" y="35">&#95;</text>
							</g>
							<path d="M98 31h10"></path>
							<path d="M108 31h10"></path>
							<g>
								<path d="M118 31h0"></path>
								<path d="M154 31h0"></path>
								<rect x="118" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="136" y="35">nl</text>
							</g>
							<path d="M154 31h10"></path>
							<path d="M164 31h10"></path>
							<g>
								<path d="M174 31h0"></path>
								<path d="M210 31h0"></path>
								<rect x="174" y="20" width="36" height="22"></rect>
								<text x="192" y="35">&#95;n</text>
							</g>
							<path d="M210 31h10"></path>
						</g>
						<path d="M220 31h20"></path>
					</g>
					<path d="M 240 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>multi_line_ws</code></h1>
		<div>
			<svg class="railroad-diagram" width="177" height="92" viewBox="0 0 177 92">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M136 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M116 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M106 31h0"></path>
								<rect x="70" y="20" width="36" height="22" rx="10" ry="10"></rect>
								<text x="88" y="35">ws</text>
							</g>
							<path d="M106 31h10"></path>
						</g>
						<path d="M116 31h20"></path>
						<path d="M40 31a10 10 0 0 1 10 10v10a10 10 0 0 0 10 10"></path>
						<g>
							<path d="M60 61h0"></path>
							<path d="M116 61h0"></path>
							<path d="M60 61h10"></path>
							<g>
								<path d="M70 61h0"></path>
								<path d="M106 61h0"></path>
								<rect x="70" y="50" width="36" height="22" rx="10" ry="10"></rect>
								<text x="88" y="65">nl</text>
							</g>
							<path d="M106 61h10"></path>
						</g>
						<path d="M116 61a10 10 0 0 0 10 -10v-10a10 10 0 0 1 10 -10"></path>
					</g>
					<path d="M 136 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>_</code></h1>
		<div>
			<svg class="railroad-diagram" width="217" height="81" viewBox="0 0 217 81">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M176 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h0"></path>
							<path d="M156 41h0"></path>
							<g>
								<path d="M60 41h0"></path>
								<path d="M156 41h0"></path>
								<path d="M60 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M80 21h56"></path>
								</g>
								<path d="M136 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M60 41h20"></path>
								<g>
									<path d="M80 41h0"></path>
									<path d="M136 41h0"></path>
									<path d="M80 41h10"></path>
									<g>
										<path d="M90 41h0"></path>
										<path d="M126 41h0"></path>
										<rect x="90" y="30" width="36" height="22" rx="10" ry="10"></rect>
										<text x="108" y="45">ws</text>
									</g>
									<path d="M126 41h10"></path>
									<path d="M90 41a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
									<g>
										<path d="M90 61h36"></path>
									</g>
									<path d="M126 61a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
								</g>
								<path d="M136 41h20"></path>
							</g>
						</g>
						<path d="M156 41h20"></path>
					</g>
					<path d="M 176 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>__</code></h1>
		<div>
			<svg class="railroad-diagram" width="197" height="71" viewBox="0 0 197 71">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M156 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M136 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M126 31h0"></path>
								<path d="M70 31h10"></path>
								<g>
									<path d="M80 31h0"></path>
									<path d="M116 31h0"></path>
									<rect x="80" y="20" width="36" height="22" rx="10" ry="10"></rect>
									<text x="98" y="35">ws</text>
								</g>
								<path d="M116 31h10"></path>
								<path d="M80 31a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
								<g>
									<path d="M80 51h36"></path>
								</g>
								<path d="M116 51a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
							</g>
							<path d="M126 31h10"></path>
						</g>
						<path d="M136 31h20"></path>
					</g>
					<path d="M 156 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>_n</code></h1>
		<div>
			<svg class="railroad-diagram" width="305" height="81" viewBox="0 0 305 81">
				<g transform="translate(.5 .5)">
					<path d="M 20 31 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 41h0"></path>
						<path d="M264 41h0"></path>
						<path d="M40 41h20"></path>
						<g>
							<path d="M60 41h0"></path>
							<path d="M244 41h0"></path>
							<g>
								<path d="M60 41h0"></path>
								<path d="M244 41h0"></path>
								<path d="M60 41a10 10 0 0 0 10 -10v0a10 10 0 0 1 10 -10"></path>
								<g>
									<path d="M80 21h144"></path>
								</g>
								<path d="M224 21a10 10 0 0 1 10 10v0a10 10 0 0 0 10 10"></path>
								<path d="M60 41h20"></path>
								<g>
									<path d="M80 41h0"></path>
									<path d="M224 41h0"></path>
									<path d="M80 41h10"></path>
									<g>
										<path d="M90 41h0"></path>
										<path d="M214 41h0"></path>
										<rect x="90" y="30" width="124" height="22"></rect>
										<text x="152" y="45">multi&#95;line&#95;ws</text>
									</g>
									<path d="M214 41h10"></path>
									<path d="M90 41a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
									<g>
										<path d="M90 61h124"></path>
									</g>
									<path d="M214 61a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
								</g>
								<path d="M224 41h20"></path>
							</g>
						</g>
						<path d="M244 41h20"></path>
					</g>
					<path d="M 264 41 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
		<h1><code>__n</code></h1>
		<div>
			<svg class="railroad-diagram" width="285" height="71" viewBox="0 0 285 71">
				<g transform="translate(.5 .5)">
					<path d="M 20 21 v 20 m 10 -20 v 20 m -10 -10 h 20.5"></path>
					<g>
						<path d="M40 31h0"></path>
						<path d="M244 31h0"></path>
						<path d="M40 31h20"></path>
						<g>
							<path d="M60 31h0"></path>
							<path d="M224 31h0"></path>
							<path d="M60 31h10"></path>
							<g>
								<path d="M70 31h0"></path>
								<path d="M214 31h0"></path>
								<path d="M70 31h10"></path>
								<g>
									<path d="M80 31h0"></path>
									<path d="M204 31h0"></path>
									<rect x="80" y="20" width="124" height="22"></rect>
									<text x="142" y="35">multi&#95;line&#95;ws</text>
								</g>
								<path d="M204 31h10"></path>
								<path d="M80 31a10 10 0 0 0 -10 10v0a10 10 0 0 0 10 10"></path>
								<g>
									<path d="M80 51h124"></path>
								</g>
								<path d="M204 51a10 10 0 0 0 10 -10v0a10 10 0 0 0 -10 -10"></path>
							</g>
							<path d="M214 31h10"></path>
						</g>
						<path d="M224 31h20"></path>
					</g>
					<path d="M 244 31 h 20 m -10 -10 v 20 m 10 -20 v 20"></path>
				</g>
			</svg>
		</div>
	</body>
</html>
